### Function

# WPEPlatform BufferFormatsBuilder new

#### Declaration [src]

    WPEBufferFormatsBuilder*
    wpe_buffer_formats_builder_new (
      WPEDRMDevice* device
    )

#### Description [src]

Create a new `WPEBufferFormatsBuilder`.

#### Parameters

`device`

  Type: `WPEDRMDevice`

  The main DRM device.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `WPEBufferFormatsBuilder`

A new `WPEBufferFormatsBuilder`.

The caller of the function takes ownership of the data, and is responsible for freeing it.